package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag792;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT792Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT792Creator mt792Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt792Creator= (MT792Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt792Creator.getTransactionReferenceNumber();
        mt792Creator.set("20", tag20Value);
    }
}
